                     PROJECT MANAGER SYSTEM DOCUMENTATION

 ==============>> (Press ESCape to return to the Main Menu) <<===============

               Thank you for using the Project Manager System !!
               If you have questions, need help or would like to
               make suggestions about the Project Manager System
               please contact:

                           Ron Byxbe & Associates
                           P. O. Box 1844
                           Dublin, Georgia  31040

                      (912) 272-1714   (9am - 4pm, EST)

 ============================================================================

                         1.  General System Concepts
                         2.  Definitions / Glossary
                         3.  What Happens On Each Screen
                         4.  DOS Information & Usage
                         5.  Problems & Solutions
                         6.  Registration & Upgrade

           --------------------------------------------------------         
         *NOTE*   *NOTE*   *NOTE*   *NOTE*   *NOTE*   *NOTE*   *NOTE*

         If you want to print this documentation, just choose Print 
         Documentation from the Documentation/Product Information menu.

         If you want to modify the documentation, use any editor or
         word processor to change the README.PM file on the Project
         Manager sub-directory.  (Be sure to leave the file as an
         ASCII text file!)

           ********************************************************         


1.  General System Concepts

        The Project Manager system (PM) is designed to help you keep
        track of a project's progress and costs.

        Within the Project Manager, a project is divided up into
        PHASES.  A phase of a project is a gross grouping of the
        more descrete Project Steps that will be individually
        accounted for during the life of the project.  For Example,
        if you were setting up a new business, some "Phases" might
        be Incorporation, Production, Distribution, and Marketing.

        A Phase is then divided up into PROJECT STEPS.  So, the 
        Incorporation phase might be made up of Project Steps like
        "Organize Board of Directors", "Register with State", 
        "Establish Accounting", etc.  
        
        At the beginning of the project, each Project Step is assigned 
        a dollar budget and a completion date.  "Review the Project" 
        will show you a list of all Project Steps, and allow you to 
        add new ones, and change the information about the existing ones.

        Progress on a Project Step is recorded as a series of ACTIVITIES.
        Each Activity includes a time and a cost.  So, the Project Step
        "Establish Accounting" might involve meeting with accountants,
        review accounting software, hire personnel, establish bill paying
        procedures, etc...  Each of these Activities that contributes
        to the completion of the "Establish Accounting" Project Step is
        recorded at the time it occurs.  Who did it, how much time it
        took, and what that time cost is recorded as part of that Project
        Step.
        
        "Review a Project Step" will show you a summary of the Activities 
        and expenses for that step, as well as allow you to enter new 
        Activities and modify existing ones.

        When a Project Step is completed, it is marked FINISHED, and the
        date of the last ACTIVITY is considered to be the Project Step
        completion date.

        Reports of various kinds help you keep track of the current 
        progress of the overall project and each Project Step.  See 
        details about available reports in section 3 below.


           ********************************************************         

2.  Definitions / Glossary

        Activity     - Anything done in the process of completing a
                       Project Step.  Usually, Activities involve an 
                       expense of time and/or money.  Usually, Activities
                       occur on a specific date, and are done by someone
                       (the SOURCE - see Source description below).  

                  <>   Each Activity also has a MEMO field so the person
     This         <>   entering the Activity can leave behind a "note" about
     Feature      <>   the charge.  When a Project Step is being reviewed,
     Not          <>   any Activities that have active Memo's are displayed
     Available    <>   in a different color.  The general intention is
     Yet !        <>   that eventually a supervisor will read and clear
                  <>   the memo.  

                       NOTE: Currently, the "Memo" command from the Activity
                             window will allow you to view and modify the
                             Project Memo.

        Budget       - Amount of money allocated to a Project Step.  
                       (see CHARGE)


        Charge       - The cost of an Activity.  It is calculated by
                       multiplying the number of Hours times the
                       Rate.  It is then subtracted from the Budget
                       to determine the remaining allocation.

        Changes      - Any information can be changed at any time during
                       the life of a project.  Finished Project Steps
                       can be re-activated.  Budget allocations can be
                       modified.  Activity Charges can be recalculated.
                       You have complete control over all information
                       maintained by the Project Manager. (see DELETIONS)

        Completion   - Date the Project Step is scheduled to be completed.

        Deletions    - Any information can be deleted at any time, with
                       one exception (see Posting below).  Note that if
                       you delete a Project Step, all it's associated
                       Activities will also be automatically deleted.

        Hours        - Amount of time required to complete an Activity.
                       Hours are multiplied by Rate to calculate the 
                       Charge for each Activity in a Project Step.

                       NOTE: If the Activity is a fixed price purchase,
                             enter a value of 1.0.

        Finished     - Flag that indicates whether or not a Project
                       Step has been completed.  The date of the last
                       Activity is considered to be the Actual Project 
                       Step Completion Date.

                       When reviewing the Project Steps, "Finished" Project
                       Steps are shown in "Light Red" on Blue.

        LineItem     - This is an index given to each Project Step so
                       they may be kept in some logical order.  Any
                       string of up to 7 characters can be used.
                       Standard numeric notation (1.1, 1.2, 2.1, 2.2, etc.)
                       can be used successfully as long as the levels
                       do not require 2 digit numbers.  (For example,
                       the Project Step 1.10 will be indexed between
                       Steps 1.1 and 1.2, not after Step 1.9.)  An
                       alphabetical notation (A.a, A.b, B.a, B.b, etc.)
                       will give more flexibality, as will a mixed 
                       notation (1.a, 1.b, 2.a, 2.b, etc.)

                       NOTE: It is not necessary to use any of the above
                             notations.  Any 7 characters may be used that
                             result in the desired Project Step ordering.
                             If nothing is entered in this field, then
                             the records will be maintained in the order
                             that they were entered ("Natural" order).

        Memos        - There are 2 places in the system where "Memos" can
                       be used - at the Project Step level, and the Activity
                       level.

                       Project Step Memos are meant to be information about
                       the project step - perhaps an algorithm description 
                       that needs to be coded, or a list of equipment that
                       must be purchased, etc.  They are setup at the time
                       the Project Step description is created, and perhaps
                       updated as the Project Step development progresses.

                       When reviewing the Project Steps, Project Steps that
                       have Memo fields are shown in "Light Green" on Blue.
                       Also, when editing a Project Step, if the Project
                       Step Memo field contains the word MEMO (in all caps)
                       that means there is an active Memo field.

                  <>   Activity Memos are meant to be short term communica-
                  <>   tions between personnel working on a Project Step.
                  <>   For example, when someone logs some Activity, and
                  <>   wishes to let their Supervisor know that something
                  <>   still needs to be done, or there was some problem,
      This        <>   they would create a Memo for that Activity.  Since
      Feature     <>   Memos are shown in a different color, the Supervisor
      Not         <>   can easily see that there is something that requires
      Available   <>   their attention when viewing the Project Step's
      Yet !       <>   Activities.  After the Memo has been dealt with,
                  <>   it should be cleared so that it doesn't continue
                  <>   to appear to be in need of action.  (This is not
                  <>   necessary however.  A Memo can survive for the life
                  <>   of the Project without causing any problem other 
                  <>   than taking up disk space.)

                       NOTE: Currently, the "Memo" command from the Activity
                             window will allow you to view and modify the
                             Project Memo.

        Phase        - When entering or editing a Project Step, the term
                       "PHASE" is a general term for that portion of the
                       project that includes the specific Project Step
                       being entered.  

                       For example, if a project had three general 
                       areas (Setup, Distribution, Collections) and 
                       each area had some number of Project Steps, 
                       (Hire Personnel, Organize Office Space, etc...), 
                       then the data might be entered as follows:

                                  PHASE: 2. Distribution
                               LINEITEM: 2.A
                            DESCRIPTION: Hire Personnel

                                  PHASE: 2. Distribution
                               LINEITEM: 2.B
                            DESCRIPTION: Organize Office Space

                       If you include a value in the PHASE that is related
                       to the LINEITEM (ie - "2." in the above example), 
                       you can control the order that PHASEs will be
                       reported.  Some reports (like the BUDGET report)
                       are "sorted" alphabetically on PHASE, so adding
                       some leading value will ensure the desired order
                       of the output.                       

        Posting      - As you enter Activities for a Project Step, they
                       are kept in a temporary area.  As long as you have
                       not changed screens, any of the Activities you enter
                       may be modified or deleted.  Once you "leave" the
                       Activities area, the newly added Activities are 
                       "Posted" and become part of the permanent Project
                       Step record.  Subsequently, you can alter the
                       Activity's information, (so it's net charge is 0),
                       but you cannot delete the Activity.  If you delete
                       an entire Project Step, all of it's associated
                       Activities will also be deleted.  That is the only
                       way to delete a "Posted" Activity.

        Project      - The overall "Project" is some task that has been
                       broken down into more discrete "Project Steps".  
                       Typically, Project Steps are organized in some
                       logical order that leads to the completion of
                       the Project, but this is not always the case.

                       All information about a single project is maintained
                       together in the PM files in a one DOS directory.  
                       Separate projects are NOT mixed together in the
                       same set of files.

        Project Step - An area or unit of work that must be completed in 
                       order to finish the project.  Project Steps have
                       Supervisors, Budgets and Completion Dates, and 
                       either are or are not Finished.  A Project Step
                       also has a Memo area, so descriptions can be 
                       created regarding the various aspects of the 
                       Project Step.  For example:

                          Project Step
                          Date Field         Sample Data
                          ---------------    -------------------------------
                          Phase              Advertising
                          Line Item          3.b
                          Description        Prepare Media Cost Report
                          Supervisor         Fred Smith
                          Starting Budget    $1500.00
                          Completion Date    03/24/90
                          Finished           No
                          Memo               Contact all local newspapers
                                             Contact National Mags on list
                                             Get their Media Kits
                                             Prepare summary for Exec Review
                                             Include cost per 1000 figures
                                               and target audience coverage

                       When you choose "Review The Project" from the Main
                       Menu, you will be presented with a list of all the
                       currently defined Project Steps.  From this list,
                       you can modify existing Steps, add new ones, or
                       "Review" a Step.  Reviewing a Project Step shows
                       you the Activities that have been completed and
                       allows you to log new Activity.

        Project Title- When the Project Manager is first run from a 
                       directory, the user will be asked for a Project
                       Title.  This title is then used on subsequent 
                       screens and reports to identify the project 
                       currently being viewed/reported.  If you decide
                       to change the title that you initially entered,
                       simply delete the DOS file named PMTITLE.$$$, and
                       the next time you run the system, you will be
                       asked to enter a new Project Title.

        Rate         - Hourly charge for an Activity.  The Rate is
                       multiplied by the Hours to determine the Charge
                       for each Activity in a Project Step.

        Source       - The source of the charge of the current Activity.
                       In the case of personnel charges, the person who
                       incurred the charge. The Source Activity report will
                       summarize all Activities logged for each SOURCE, 
                       so if you stick to the Source = Personnel convention,
                       this will be a handy way to review all the Activity
                       for each person working on the project.

        Supervisor   - Person responsible for completing the Project
                       Step.
                       

           ********************************************************         

3.  What Happens On Each Screen.


        a.  Main Menu Screen
                
                The Main Menu Screen allows you to choose one of 
                the following 5 options:

                     1.  Review The Project
                             You will be presented with a list of all 
                             the Project Steps that have been defined
                             for the entire project, and allowed to
                             modify the list.  (See details below.)

                     2.  Review A Project Step
                             You will be asked to choose a specific
                             Project Step, and then be presented a
                             list of all the Activities that have been 
                             entered for that Project Step, and allowed
                             to modify the list.  (See details below.)
                             If this is a new Project Step, you will be
                             asked to enter the Starting Budget.

                     3.  Generate Reports
                             You will be shown the "Reports Menu" and
                             asked to select which report you wish to
                             generate.  You will be given the option of
                             viewing the report on the screen, sending
                             it to a file or to the printer.
                             (See details below.)

                     4.  Documentation / Product Information
                             You will be shown the "Documentation Menu"
                             and asked to select what information you want.

                             The View Documentation selection will show 
                             you this information on the screen.  When
                             finished viewing the Documentation, press
                             ESCape to return to the Main Menu.


        b.  Review The Project

                The screen will display the list of Project Steps that
                have been defined.  The 'H' key or the '?' key can be
                used to get brief information about each command.  

                The top area of the screen displays the "Phase" of each
                Project Step as you move the cursor through the list of
                Steps.  Project Steps may be displayed in any of three
                colors, as follows:

                     When first entered, Steps are shown White on Blue.
                     Project Steps with an active MEMO field are shown
                         Light Green on Blue.
                     Project Steps that are marked FINISHED are shown
                         Light Red on Blue.
                
                The following commands are recognized:

                Add     - Create a new Project Step record.
                Clear   - Delete the Memo field associated with the
                            currently highlighted Project Step.  Once
                            "Cleared", a Memo must be re-entered to be
                            restored - there is no "Unclearing" option.
                Delete  - Mark the currently highlighted Project Step
                            for later deletion by the Pack command.  To
                            UN-delete a Project Step, simply "Delete" it
                            again.                          
                Edit    - Modify the currently highlighted Project Step.
                Help    - Display a screen of command descriptions.
                Memo    - Create/Modify the Memo for the currently
                          highlighted Project Step.
                Pack    - Remove all Project Steps that were marked for
                            marked for deletion with the "Delete" command.
                            NOTE: All related Activities will also be
                                  deleted.
                Quit    - Return to the Main Menu.
                Review  - Review the Activities associated with the 
                            currently highlighted Project Step.  This is
                            the same as:
                                Returning to the Main Menu
                                Selecting "Review A Project Step"
                                Selecting the current Project Step
                            It is just a quicker way to begin the Project
                            Step review process.  
                            
                            NOTE: If you use this method to begin the
                                  Project Step Review process, you will
                                  be returned to this display when you
                                  are finished reviewing the project 
                                  step, so you can select another step.

        c.  Review A Project Step

                After choosing a Project Step you wish to review, the
                screen will display the list of Activities that have
                been recorded for that Project Step.  The 'H' key or the
                '?' key can be used to get brief information about each
                command.  After you are finished entering Activities, and
                leave this screen, the new Activities are considered to
                by "Posted", and cannot be deleted.  They can be changed,
                but not deleted, unless you delete the entire Project
                Step.  The following commands are recognized:

                Add     - Add a new Activity entry.
                Delete  - Delete the highlighted Activity.  Once an 
                            Activity has been "Posted", it cannot be
                            deleted.  It can be altered so that it's net
                            charge is 0, but it cannot be removed.  The
                            only way to Delete an Activity is to do so
                            prior to "Posting", or to delete the entire
                            Project Step.
                          NOTE: Unlike with Project Steps, this command
                                actually Deletes the Activity ... it does
                                NOT simply mark the Activity for deletion.
                                Once an Activity is deleted, it is gone, 
                                and must be re-entered if deleted by mistake.
                Edit    - Modify the currently highlighted Activity.
                Help    - Display a screen of command descriptions.
                Memo    - Create/Modify the Memo for the current
                            Project.  Memo fields for specific Activities
                            are not implemented yet.
                Print   - Print the Project Step's Activities.  Before
                            printing, you will be given the opportunity
                            to select a range of dates.  All Activities
                            on or between those two dates will be printed.
                Quit    - Return to the Main Menu, or, if you began the
                            Review A Project Step process from the 
                            Review The Project display, you will be 
                            returned to that display.

        d.  Generate Reports
                
            You will be presented with a menu listing the various
            reports available.  The following reports can be 
            generated from the data maintained by the Project
            Manager System:

            All reports will allow you to choose a "Destination" for
            the report.  You may "send" the report to the Printer,
            to any file of your choice, or to the screen.  Reports
            that go to a file will (currently) write over that file.
            You will be asked if you are sure you want to destroy the
            contents of an existing file if you specify a file that
            is found on the current directory.


              Overall Project Report  - A report of Activities on each
                                        Project Step.  You will be asked
                                        to select a range of dates for
                                        the Activities to be included in
                                        the report.  You will also be
                                        asked to tag a list of Project
                                        Steps to be reported.

              Source Activity Report  - A report of all Activities
                                        for each SOURCE.  You will be
                                        asked to specify a range of dates
                                        to limit the Activities included
                                        in the report.  You will also be
                                        asked to tag a list of "Sources"
                                        to be reported.  This report is a
                                        handy way to summarize the work
                                        of each person during a given
                                        time period, if a "Source" is a
                                        person working on the Project Step.

              Budget Report           - A report summarizing the expenditures
                                        and budget status on all Project 
                                        Steps.  The Project Steps are sorted
                                        and grouped by Project Phase.  There 
                                        is an Over-Budget/Under-Budget 
                                        summary at the end of the Project 
                                        Step summary.

              Completion Report       - A report summarizing the 
                                        "Finished" status, completion 
                                        dates and last Activity on
                                        all Project Steps (sorted and 
                                        grouped by Project Phase).

              Activity History Report - A report of all Activities that
                                        have occurred since the last
                                        Activity History Report was
                                        printed.  This is a quick way
                                        to review all recent activity
                                        on all Project Steps in a project.  

                                        If you choose to view this report 
                                        on the Screen, you will be given 
                                        the option of maintaining the 
                                        "Unreported" status of the 
                                        Activities, so that you can also
                                        print the report if desired.

                
        e.  Documentation / Product Information

            You will be presented with a menu allowing you to select what
            information you would like to see.  

              View the Documentation -  You will see this information on 
                                        the screen.  When you are finished 
                                        viewing the Documentation, press 
                                        ESCape to return to the Main Menu.

              Print the Documentation - This documentation will be sent
                                        to your printer.


              Print the Registration  - The Project Manager registration form
                                        will be sent to your printer.

              Topaz Information       - You will see information about 
                                        Software Science's Turbo Pascal 
                                        programmer's toolkit, Topaz.

              Saywhat?! Information   - You will see information about 
                                        Software Science's screen generation
                                        and display program, Saywhat?!


           ********************************************************         

4.  Dos Information & Usage.

        The Project Manager is designed to reside in it's own Directory 
        on your Hard Disk.  It doesn't matter what the name of the 
        directory is, as long as it is on the current DOS Path - but
        it MUST BE ON THE CURRENT PATH so that the executing program
        can locate its screen library and report formats from another
        directory.

        The system is accessed with the command:

                PM

        When you begin the system, you should be in the sub directory
        that contains the working files for whatever project you are
        managing.  PM will work on whatever files are in the current
        directory when you start the program.  If there are no files
        present, PM will create empty files so you can start working
        on a new project.  
        
        It is important to remember that each project has it's own set 
        of files maintained in separate directories.

        Here is a list of the files that PM creates and uses to manage
        each of your projects.  Note that these Database and Index files
        are maintained on each directory that contains a Project being
        managed.  A separate set of these files exists for each Project.


                $ACTVTY$.dbf    Contains the Activity records for each
                                    Project Step.
                $ACTVTY$.ind    Indexes the $ACTVTY$.dbf file on Project
                                    Step code, so Activities can be
                                    connected to their associated Projects.

                $ACTEDT$.dbf    Contains the Activity records for the
                                    Project Step currently being reviewed
                                    or modified.  This is a temporary
                                    file and is deleted at the end of
                                    each run.
                $ACTEDT$.ind    Indexes the Activity records on date.
                                    This is a temporary file and is 
                                    deleted at the end of each run.

                $PRJECT$.dbf    Contains the Project Step Descriptions.
                $PRJECT$.dbt    Contains the Project Step Memo fields.
                $PRJECT$.ind    Indexes the $PRJECT$.dbf file on OUTLINE.
                $PRJECT$.$$$    This is a temporary file that is created
                                    during the Memo packing process at
                                    the end of each run (if necessary).
                                    The file is deleted when the packing
                                    process is completed.

                $REPORT$.dbf    This database is created during the Budget
                                    and Completion reports process.  It 
                                    contains information extracted from 
                                    the Project and Activities databases, 
                                    and is deleted as soon as the report 
                                    is finished.
                $REPORT$.ind    An index for the $REPORT$.dbf.

                $SOURCE$.ind    When the Source Activity Report is generated,
                                    the $ACTVTY$.dbf is temporarily re-
                                    indexed on Activity Source.  This file 
                                    is used for that index, and is deleted 
                                    when the report is finished.

                PMTITLE.$$$     Contains the ProjectTitle string.  In order
                                    to change the title, simply delete this
                                    file, and run Project Manager again.


        The following files make up the Project Manager system.  They
        exist in the Project Manager directory.  That directory must
        be on the current DOS Path in order for the system to function
        correctly.


           Miscellaneous System Files:

                PM.exe          This is the Project Manager program.

                PM.lib          This file contains the Project Manager
                                screens.

                README.pm       The system documentation is contained in
                                this file (what you are looking at now!).

                                In order to change the documentation, simply
                                modify this file in any (ASCII file) editor.  
                                The next time you run the Project Manager, 
                                your documentation will be updated.

                REGISTER.ME     The Project Manager registration form.  See
                                below, "6. REGISTRATION & UPGRADE" for more
                                information about how to become a Registered
                                user and receive the UPGRADE and SOURCE CODE.

                $SAYWHT$.DOC    The Saywhat?! product information.
                $TOPAZ$.DOC     The Topaz product information.

           Report Format Files:

                ACTHIST.rpt     The format for the Activity History report.
                ACTIVITY.rpt    The format for the Activity report and the
                                   Overall Project report.
                BUDGET.rpt      The format for the Budget report.
                COMPLETE.rpt    The format for the Completion report.
                SOURCE.rpt      The format for the Source Activity report.


           ********************************************************         

5.  Problems & Solutions.


     1. ACTIVITY FILE BUSY...TRY AGAIN LATER.
     
            Since the Shareware version of Project Manager System is not 
            "multi user", it guards against the possibility that more 
            than one person may attempt to work with a project's files 
            at the same time.

            This is accomplished by checking the status of the DBF files
            when the system initially opens them.  If they are in use,
            this message is issued, and the program terminates.


     2.  The Project Title is wrong, or you want to change the title.

            Delete the DOS file named PMTITLE.$$$, and run Project manager
            again.  You will be asked to enter a new Project Title.


           ********************************************************              

6.  Registration & Upgrade

     The Shareware version of the Project Manager System is a single user
     version that is designed to let you easily manage single projects.
     
     When you register your copy of Project Manager, you will receive
     the current version of Project Manager and the accompanying source
     code.

     Included in the price of registration is free technical support, in
     the event you would like help using the system, or help in modifying
     it for your own situation.  In addition, customized systems are 
     available from the developer.  If you have some specific requirements
     that are not met by the system, the developer will modify the system
     to meet your needs.

     Current upgrades in progress include:
         Enhanced reporting capability.
         Data & calendar functions.
         A multi user system that is designed to let you easily manage 
         larger teams of people and more projects:
              Multi user access to datasets. 
              One more data level (PROJECTS) to maintain multiple projects.
              Associated enhancements in reporting capability.


            ** IF YOU WANT TO REGISTER YOUR COPY OF PROJECT MANAGER **
                             ** HERE'S WHAT TO DO **

                             ... --- either --- ...

          1.  From the Main Menu, choose Documentation / Product Information.

          2.  From the Documentation menu, choose Print Documentation.

                               ... --- or --- ...
               
          1.  From DOS, move to the directory that contains the 
              Project Manager files.

          2.  Copy the file named:    REGISTER.ME    to your printer.

                (ie....  COPY  REGISTER.ME  PRN    ....for example)

                          (or, use your word processor)


        >>>>>>>>>>>>>>>>>>>>... --- then --- ...<<<<<<<<<<<<<<<<<<<<<


          3.  Fill out the form and send it (with $49.00) to:

                        Ron Byxbe & Associates
                        P. O. Box 1844
                        Dublin, Georgia  31040

                    (912) 272-1714   (9am - 4pm, EST)


     The Project Manager System is written in Borland's Turbo Pascal, and
     makes extensive use of Software Science's TOPAZ library of Pascal
     support routines.  This is important, because if you plan to recompile
     the system, you will need to have Topaz available.

     All of the Project Manager menus, data entry screens and displays
     were designed with Software Science's SAYWHAT?! program, and are 
     maintained in a Library of screens.  It is possible to modify and
     maintain the software without using SAYWHAT?! (if you aren't
     modifying existing screens), but screen design will be so much 
     faster and easier with it!

     For more information about Saywhat?! and Topaz, choose the menu
     options from the Documentation Menu.

     TOPAZ and SAYWHAT?! are available from:   
     
                            Software Science, Inc.
                            100 Valley Drive
                            Brisbane, CA  94005

                         (800) 468-9273  (National)
                         (800) 231-7849  (California)

         (or, from your local software retail or mail order outlet!)


           ******************************************************** 
